Index: channels/chan_iax.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_iax.c,v
retrieving revision 1.15
diff -u -u -r1.15 chan_iax.c
--- channels/chan_iax.c	21 Oct 2003 02:57:29 -0000	1.15
+++ channels/chan_iax.c	21 Oct 2003 15:38:08 -0000
@@ -533,7 +533,7 @@
 	retries, ntohs(fh->seqno), class, subclass);
 		fprintf(stderr,
 "   Timestamp: %05ldms  Callno: %5.5d  DCall: %5.5d [%s:%d]\n",
-	ntohl(fh->ts),
+	(long)ntohl(fh->ts),
 	(short)(ntohs(fh->callno) & ~AST_FLAG_FULL), (short) ntohs(fh->dcallno),
 		inet_ntoa(sin->sin_addr), ntohs(sin->sin_port));
 }
Index: channels/iax2-parser.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/iax2-parser.c,v
retrieving revision 1.12
diff -u -u -r1.12 iax2-parser.c
--- channels/iax2-parser.c	21 Oct 2003 02:57:29 -0000	1.12
+++ channels/iax2-parser.c	21 Oct 2003 15:38:10 -0000
@@ -64,7 +64,7 @@
 static void dump_int(char *output, int maxlen, void *value, int len)
 {
 	if (len == sizeof(unsigned int))
-		snprintf(output, maxlen, "%ld", ntohl(*((unsigned int *)value)));
+		snprintf(output, maxlen, "%ld", (long)ntohl(*((unsigned int *)value)));
 	else
 		snprintf(output, maxlen, "Invalid INT");
 }
@@ -288,7 +288,7 @@
 	outputf(tmp);
 snprintf(tmp, sizeof(tmp), 
 "   Timestamp: %05ldms  SCall: %5.5d  DCall: %5.5d [%s:%d]\n",
-	ntohl(fh->ts),
+	(long)ntohl(fh->ts),
 	ntohs(fh->scallno) & ~IAX_FLAG_FULL, ntohs(fh->dcallno) & ~IAX_FLAG_RETRANS,
 		inet_ntoa(sin->sin_addr), ntohs(sin->sin_port));
 	outputf(tmp);
